%global momorel 2

Summary: Simplified Wrapper and Interface Generator
Name: swig
Version: 1.3.21
Release: %{momorel}m
License: BSD
URL: http://www.swig.org/
Group: System Environment/Daemons
Source0: http://unc.dl.sourceforge.net/sourceforge/swig/swig-%{version}.tar.gz
Patch0: swig-1.3.19-x86_64.patch
Patch1: swig-1.3.19-pylib.patch
Patch2: swig-1.3.21-destdir.patch
Patch3: swig-1.3.21-ldflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++ >= 3.4.1-1m
BuildPrereq: xorg-x11-devel, guile-devel, perl, python-devel, ruby-devel, tcl-devel
NoSource: 0

%description
SWIG is an interface compiler that connects programs written in C,
C++, and Objective-C with scripting languages including Perl, Python,
and Tcl/Tk. It works by taking the declarations commonly found in
C/C++ header files and using them to generate the glue code (wrappers)
that scripting languages need to access the underlying C/C++ code

%prep
%setup -q -n SWIG-%{version}

%ifarch x86_64
%patch0 -p1
%endif

%patch1 -p1 -b .pylib
%patch2 -p1 -b .destdir
%patch3 -p1 -b .ldflags


%build
./autogen.sh
%configure
make
make runtime

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} install install-runtime

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/swig
%dir %{_libdir}/swig1.3
%{_libdir}/swig1.3/*
%{_libdir}/lib*.*
%{_datadir}/aclocal/swig.m4


%changelog
* Sun Mar 13 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3.21-2m)
- revised swig-1.3.19-x86_64.patch

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.3.21-1m)
- version up

* Wed Jan 19 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.19-6m)
- apply x86_64 patch on x86_64 environment only

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (1.3.19-5m)
- enable x86_64.

* Fri Oct  1 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3.19-4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Fri Oct  1 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.3.19-3m)
- lib64

* Sun Apr 27 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.19-2m)
  added /usr/lib/libswig*

* Sun Apr 27 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.19-1m)
  update to 1.3.19

* Fri Jul 19 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.13-1m)
- update to 1.3.13

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Sat Nov 25 2000 Kenichi Matsubara <m@kondara.org>
- add %clean,%ChangeLog section. :-P

